Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 1745465 - offlineimap fails to install in Fedora rawhide
Summary: offlineimap fails to install in Fedora rawhide
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: offlineimap
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
high
Target Milestone: ---
Assignee: Dodji Seketeli
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: F31FailsToInstall F32FailsToInstall PY2FTBI
TreeView+ depends on / blocked
 
Reported: 2019-08-26 07:57 UTC by Miro Hrončok
Modified: 2020-02-05 10:05 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-02-05 04:03:55 UTC
Type: Bug
Embargoed:


Attachments (Terms of Use)

Description Miro Hrončok 2019-08-26 07:57:45 UTC
offlineimap-7.2.4-1.fc31.noarch fails to install in Fedora rawhide:

  nothing provides python2-gssapi needed by offlineimap-7.2.4-1.fc31.noarch

This is most likely caused by a dependency that was retired.
Please drop the dependency, unretire the dependency or remove the package. Thanks

Comment 1 Miro Hrončok 2019-09-04 21:57:50 UTC
In preparation for the Python 2 EOL, we are removing all non-installable Python 2 packages:
https://fedoraproject.org/wiki/Changes/F31_Mass_Python_2_Package_Removal#Removing_non-installable_packages_from_the_distro

This bug is still in the NEW state and the package does not install. Please indicate you are working on a fix by setting the state to ASSIGNED. When this bug is four weeks in the NEW state, the package may be orphaned.

Note that you don't have to actually fix this right now, setting the bug to ASSIGNED will just mark this as being worked on, so I'll know it is being taken care of. If this happens too quickly, feel free to reach to me any time for help (with specific problems).

(If you know for sure this package shall be removed, consider doing it.)

Thank You!

Comment 2 Miro Hrončok 2020-01-20 18:49:55 UTC
This is still the case:

Error: 
 Problem: conflicting requests
  - nothing provides python2-gssapi needed by offlineimap-7.2.4-3.fc32.noarch

Comment 3 Petr Viktorin (pviktori) 2020-02-04 14:22:02 UTC
Uninstallable packages like offlineimap will be retired Feb 18th, one week before the Beta freeze.
Bill, do you need any help fixing this?

Comment 4 Bill Nottingham 2020-02-05 04:03:55 UTC
Sorry about the delay, mostly just need to make the time instead of waiting for the time.

Fixed in 7.2.4-5. Note that this makes it an arch-specific package.

Comment 5 Miro Hrončok 2020-02-05 10:05:31 UTC
Thanks.


Note You need to log in before you can comment on or make changes to this bug.